/*** ユーザー画像のアップロード・削除処理 ***/
jQuery(document).ready(function($) {
	$('#haup_custom_profile_upload_image_button').text(haup_profile_image_script_vars.selectImageText);
	$('#haup_remove_custom_profile_image_button').text(haup_profile_image_script_vars.removeImageText);
    
	// プロフィール画像の選択時のテキストを設定
		var imageUploader = wp.media({
			title: haup_profile_image_script_vars.profileImageText,
			button: {
				text: haup_profile_image_script_vars.selectImageText
			},
			multiple: false // falseに設定すると1つの画像のみ選択可能
		});

	//画像の選択
	$('#haup_custom_profile_upload_image_button').click(function(e) {
		e.preventDefault();
		imageUploader.on('select', function() {
			var attachment = imageUploader.state().get('selection').first().toJSON();
			$('#haup_custom_profile_image').val(attachment.sizes.thumbnail.url);
			$('#haup_remove_custom_profile_image_button').show(); // 削除ボタンを表示
		}).open();
	});

	//削除処理
	$('#haup_remove_custom_profile_image_button').click(function(e) {
		e.preventDefault();
		$('#haup_custom_profile_image').val(''); // 画像URLをクリア
		$(this).hide(); // 削除ボタンを非表示
	});
});

